/* manager */
#include "mpi.h"
#include <iostream>
#include "stdlib.h"
#include "stdio.h"
#include <fstream>

using namespace std;

int main(int argc, char *argv[])
{
	int world_size, size, rank;
	MPI_Comm comm, newintercomm; /* intercommunicator */
	MPI_Comm everyone_intracomm, client_Server_Intracomm; /* communicator */
	
	MPI_Init(&argc, &argv);
	MPI_Comm_size(MPI_COMM_WORLD, &world_size);
	
	MPI_Info info;
	MPI_Info_create(&info);
	MPI_Info_set(info, "host", "toufikVBOX");

	MPI_Comm_spawn("worker.exe", MPI_ARGV_NULL, 3, info, 0, MPI_COMM_WORLD, &newintercomm, MPI_ERRCODES_IGNORE); 
	
	printf("Manager process \n"); fflush(stdout);
	system("pause");

	MPI_Finalize();
	return 0;
}
