/* worker */
#include "mpi.h"
#include <Windows.h>
#include "stdlib.h"
#include "stdio.h"

int main(int argc, char *argv[])
{
	int size, rank, world_size;
	MPI_Comm parent;
	MPI_Init(&argc, &argv);
	MPI_Comm_get_parent(&parent);
	MPI_Comm_size(MPI_COMM_WORLD, &world_size);

	if (parent == MPI_COMM_NULL)
	{
        printf("Spawned worker process \n"); fflush(stdout);
		system("pause");
	}

	MPI_Finalize();
	return 0;
}